`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date: 2021/05/08 18:31:47
// Design Name: 
// Module Name: letter
// Project Name: 
// Target Devices: 
// Tool Versions: 
// Description: 
// 
// Dependencies: 
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
//////////////////////////////////////////////////////////////////////////////////


module letter(
    input [8:0] last_change,
    input [511:0] key_down,
    input Caps,
    output reg [7:0] LED
    );
    reg [6:0] letter;
    
    always@*
    if((last_change == 9'h12) || (last_change == 9'h59))
        letter = letter;
    else
        case(last_change)
            9'h1C: letter = 7'd65;
            9'h32: letter = 7'd66;
            9'h21: letter = 7'd67;
            9'h23: letter = 7'd68;
            9'h24: letter = 7'd69;
            9'h2B: letter = 7'd70;
            9'h34: letter = 7'd71;
            9'h33: letter = 7'd72;
            9'h43: letter = 7'd73;
            9'h3B: letter = 7'd74;
            9'h42: letter = 7'd75;
            9'h4B: letter = 7'd76;
            9'h3A: letter = 7'd77;
            9'h31: letter = 7'd78;
            9'h44: letter = 7'd79;
            9'h4D: letter = 7'd80;
            9'h15: letter = 7'd81;
            9'h2D: letter = 7'd82;
            9'h1B: letter = 7'd83;
            9'h2C: letter = 7'd84;
            9'h3C: letter = 7'd85;
            9'h2A: letter = 7'd86;
            9'h1D: letter = 7'd87;
            9'h22: letter = 7'd88;
            9'h35: letter = 7'd89;
            9'h1A: letter = 7'd90;
            default: letter = 7'd0;
        endcase
        
    always@*
    if(Caps || key_down[9'h12] || key_down[9'h59])
        LED[6:0] = letter;
    else if(letter == 7'b0)
        LED[6:0] = letter;
    else
        LED[6:0] = letter + 7'd32;
        
    always@*
        LED[7] = Caps;
endmodule
