module top_module(
    input clk,
    input rst,
    inout PS2_DATA,
    inout PS2_CLK,
    output [7:0] LED
    );
    wire [8:0] last_change;
    wire [511:0] key_down;
    wire key_valid;
    wire press;
    wire Caps;
        
    KeyboardDecoder U0(.clk(clk),.rst(rst),.PS2_DATA(PS2_DATA),.PS2_CLK(PS2_CLK)
                        ,.last_change(last_change),.key_down(key_down),.key_valid(key_valid));
    press_state U1(.clk(clk),.rst(rst),.key_valid(key_valid),.press_state(press));
    CAPS_state U2(.clk(clk),.rst(rst),.last_change(last_change),.press(press),.Caps(Caps));
    letter U3(.Caps(Caps),.last_change(last_change),.key_down(key_down),.LED(LED));
    
endmodule